<?php

require_once 'base/PlanativtareEntityBase.php';


/**
 * Classe da tabela Planativtare de manipulacao de .
 *
 * @package Package_Name
 * @author  walterrodrigues
 */
class PlanativtareEntity extends PlanativtareEntityBase
{


    /**
     * Querry para mudar a situacao da atividade.
     *
     * @param string $upidstativtar Identificador da situacao.
     * @param string $cdfilial      Codigo da filial.
     * @param string $nrtarefa      Numero da tarefa.
     * @param string $nrplativtare  Numero do plano da atividae.
     *
     * @return boolean
     */
    static public function alteraStatusAtvidade(
        $upidstativtar,
        $cdfilial,
        $nrtarefa,
        $nrplativtare
        ){

        return Planativtare::alteraStatusAtvidade(
            $upidstativtar,
            $cdfilial,
            $nrtarefa,
            $nrplativtare
        );

    }


    /**
     * Altera data final da atividade.
     *
     * @param string $dtfirativtar Data final da atividade.
     * @param string $cdfilial     Codigo da filial.
     * @param string $nrtarefa     Numero da tarefa.
     * @param string $nrplativtare Numero da atividade.
     *
     * @return boolean
     */
    static public function alteraDtfirativtar(
        $dtfirativtar,
        $cdfilial,
        $nrtarefa,
        $nrplativtare
        ){

        return Planativtare::alteraDtfirativtar($dtfirativtar, $cdfilial, $nrtarefa, $nrplativtare);

    }


    /**
     * Retorna o plano da atividade.
     *
     * @param string $cdfilial     Codigo da filial.
     * @param string $nrtarefa     Numero da tarefa.
     * @param string $nrplativtare Numero do plano da atividade.
     *
     * @return Ambigous <boolean, unknown>
     */
    static public function retornaListaPlanoAtvidades(
        $cdfilial,
        $nrtarefa,
        $nrplativtare
        ){

        return Planativtare::retornaListaPlanoAtvidades($cdfilial, $nrtarefa, $nrplativtare);

    }


     /**
      * Retona atividade em andamento.
      *
      * @param string $cdfilial   Codigo da filial.
      * @param string $cdoperresp Operador responsavel.
      *
      * @return Ambigous <Ambigous, TkModel, unknown, mixed, NULL>
      */
     static public function retornaAtividadeAndamento($cdfilial, $cdoperresp){
        return  Planativtare::retornaAtividadeAndamento($cdfilial, $cdoperresp);
     }

     /**
      * Retona atividade em interrompida.
      *
      * @param string $cdfilial   Codigo da filial.
      * @param string $cdoperresp Operador responsavel.
      *
      * @return Ambigous <Ambigous, TkModel, unknown, mixed, NULL>
      */
     static public function retornaAtividadeInterrompida($cdfilial, $cdoperresp){
         return Planativtare::retornaAtividadesInterrompidas($cdfilial, $cdoperresp);
     }

     /**
      * Retona atividade a ser exportada.
      *
      * @param string $cdfilial   Codigo da filial.
      * @param string $cdoperresp Operador responsavel.
      *
      * @return Ambigous <Ambigous, TkModel, unknown, mixed, NULL>
      */
     static public function retornaAtividadeExport($cditemtrab){
         return Planativtare::retornaAtividadExport($cditemtrab);
     }


}

